---
title: Gets sku price information.
slug: cms-12/api/gets-sku-price-information
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "1Igge4aW_CDQxcdB0ak2G",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/pricing/bycodes",
    "servers": [],
    "name": "Gets sku price information.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "codes",
          "type": "array",
          "description": "The content ids.",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "marketId",
          "type": "string",
          "description": "The market id."
        },
        {
          "kind": "optional",
          "name": "currencyCode",
          "type": "string",
          "description": "The currency code."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Represents pricing data for a sku",
            "customType": "pricing[]",
            "schema": [
              {
                "name": "entryCode",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The entry code."
              },
              {
                "name": "prices",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The prices.",
                "modelRef": "#/components/schemas/price",
                "customType": "price[]",
                "schema": [
                  {
                    "name": "price",
                    "kind": "optional",
                    "type": "number<decimal>",
                    "description": "The price.",
                    "format": "decimal"
                  },
                  {
                    "name": "priceType",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The price type."
                  },
                  {
                    "name": "priceCode",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The price code."
                  },
                  {
                    "name": "validFrom",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "The valid from date and time.",
                    "format": "date-time"
                  },
                  {
                    "name": "validUntil",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "nullable": true,
                    "description": "The valid until date and time.",
                    "format": "date-time"
                  },
                  {
                    "name": "minQuantity",
                    "kind": "optional",
                    "type": "number<decimal>",
                    "description": "The minimum quantity.",
                    "format": "decimal"
                  }
                ]
              },
              {
                "name": "discountedPrices",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The discounted prices.",
                "modelRef": "#/components/schemas/discountedPrice",
                "customType": "discountedPrice[]",
                "schema": [
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "The description of the discount."
                  },
                  {
                    "name": "discountedPrice",
                    "kind": "optional",
                    "type": "number<decimal>",
                    "description": "The discounted price.",
                    "format": "decimal"
                  },
                  {
                    "name": "defaultPrice",
                    "kind": "optional",
                    "type": "number<decimal>",
                    "description": "The default price that be used for calculating the discounted price.",
                    "format": "decimal"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/pricing",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "rtmuyrvx0zS2v1wE-ZS5z",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/pricing/bycodes \\\n     --header 'accept: application/json'"
        },
        {
          "id": "zm3ZgiQgxLIAOyGXtkbtS",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/pricing/bycodes\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "yafxZiQg_kWQxEzsORahc",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/pricing/bycodes\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "j7gcrgpV2ijrQ997W5woZ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/pricing/bycodes\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "rtmuyrvx0zS2v1wE-ZS5z"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"entryCode\": \"\",\n    \"prices\": [\n      {\n        \"price\": \"\",\n        \"priceType\": \"\",\n        \"priceCode\": \"\",\n        \"validFrom\": \"\",\n        \"validUntil\": \"\",\n        \"minQuantity\": \"\"\n      }\n    ],\n    \"discountedPrices\": [\n      {\n        \"description\": \"\",\n        \"discountedPrice\": \"\",\n        \"defaultPrice\": \"\"\n      }\n    ]\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}